import request from "@/utils/request"

// 面试信息分页
export const getInterviewInvitePage = async (params) => {
	return request({
		url: '/app-api/menduner/system/recruit/interview-invite/page',
		params,
		method: 'GET',
		custom: {
			showLoading: false,
			auth: true
		}
	})
}

// 完成面试
export const completedInterviewInvite = async (id) => {
	return request({
		url: `/app-api/menduner/system/recruit/interview-invite/completed?id=${id}`,
		method: 'POST',
		custom: {
			showLoading: false,
			openEncryption: true,
			auth: true
		}
	})
}

// 保存、重新邀约
export const saveInterviewInvite = async (data) => {
	return request({
		url: '/app-api/menduner/system/recruit/interview-invite/save',
		method: 'POST',
		data,
		custom: {
			showLoading: false,
			openEncryption: true,
			auth: true
		}
	})
}

// 取消面试
export const cancelInterviewInvite = async (data) => {
	return request({
		url: '/app-api/menduner/system/recruit/interview-invite/cancellation',
		method: 'POST',
		data,
		custom: {
			showLoading: false,
			auth: true
		}
	})
}

// 未能爽约面试
export const noAttendInterviewInvite = async (data) => {
	return request({
		url: '/app-api/menduner/system/recruit/interview-invite/not/attended',
		method: 'POST',
		data,
		custom: {
			showLoading: false,
			auth: true
		}
	})
}

// 面试反馈
export const feedbackInterviewInvite = async (data) => {
	return request({
		url: '/app-api/menduner/system/recruit/interview-invite/feedback',
		method: 'POST',
		data,
		custom: {
			showLoading: false,
			auth: true
		}
	})
}